Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.i2p.router
Class Shitlist.Entry

    java.lang.Object
      net.i2p.router.Shitlist.Entry

Enclosing class:
  Shitlist

    public static class Shitlist.Entry

extends Object

Field Summary
`String` | `cause` why they were shitlisted
`String` | `causeCode` separate code so cause can contain {0} for translation
`long` | `expireOn` when it should expire, per the i2p clock
`Set<String>` | `transports` what transports they were shitlisted for (String), or null for all transports

Constructor Summary
`Shitlist.Entry()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### expireOn

    public long expireOn

  when it should expire, per the i2p clock

### cause

    public String cause

  why they were shitlisted

### causeCode

    public String causeCode

  separate code so cause can contain {0} for translation

### transports

    public Set<String> transports

  what transports they were shitlisted for (String), or null for all transports

Constructor Detail

### Shitlist.Entry

    public Shitlist.Entry()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD